<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\UiElement;

use Dedi\SyliusCmsPlugin\Form\Type\UiElement\TextAndImageRightType;
use MonsieurBiz\SyliusRichEditorPlugin\UiElement\AbstractUiElement;
use MonsieurBiz\SyliusRichEditorPlugin\UiElement\UiElementInterface;

class TextAndImageRight extends AbstractUiElement implements UiElementInterface
{
    protected $type = 'text_and_image_right';

    public function getFields(): array
    {
        return [
            'image',
            'content',
        ];
    }

    public function getFormClass(): string
    {
        return TextAndImageRightType::class;
    }

    public function getTemplate(): string
    {
        return '@DediSyliusCmsPlugin/bundles/MonsieurBizSyliusRichEditorPlugin/UiElement/textAndImageRight.html.twig';
    }
}
